﻿using System;

namespace TestProject
{
    /// <summary>
    /// 주문
    /// </summary>
    public class Order
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 공급자
        /// </summary>
        private string supplier;

        /// <summary>
        /// 주문 일자
        /// </summary>
        private DateTime orderDate;

        /// <summary>
        /// 제품명
        /// </summary>
        private string productName;

        /// <summary>
        /// 수량
        /// </summary>
        private int quantity;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 공급자 - Supplier

        /// <summary>
        /// 공급자
        /// </summary>
        public string Supplier
        {
            get
            {
                return this.supplier;
            }
            set
            {
                this.supplier = value;
            }
        }

        #endregion
        #region 주문 일자 - OrderDate

        /// <summary>
        /// 주문 일자
        /// </summary>
        public DateTime OrderDate
        {
            get
            {
                return this.orderDate;
            }
            set
            {
                this.orderDate = value;
            }
        }

        #endregion
        #region 제품명 - ProductName

        /// <summary>
        /// 제품명
        /// </summary>
        public string ProductName
        {
            get
            {
                return this.productName;
            }
            set
            {
                this.productName = value;
            }
        }

        #endregion
        #region 수량 - Quantity

        /// <summary>
        /// 수량
        /// </summary>
        public int Quantity
        {
            get
            {
                return this.quantity;
            }
            set
            {
                this.quantity = value;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - Order(supplier, orderDate, productName, quantity)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="supplier">공급자</param>
        /// <param name="orderDate">주문 일자</param>
        /// <param name="productName">제품명</param>
        /// <param name="quantity">수량</param>
        public Order(string supplier, DateTime orderDate, string productName, int quantity)
        {
            this.supplier    = supplier;
            this.orderDate   = orderDate;
            this.productName = productName;
            this.quantity    = quantity;
        }

        #endregion
    }
}